ProjectControllerCreateTenantProject Method |
Note: This API is now obsolete.
POST /Project/{id}
OBSOLETE - Use POST /Project/ instead.
Creates a project with the specified name and tenant ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ObsoleteAttribute("Deprecated. Use CreateProject instead.")]
[ActionNameAttribute("Index")]
public IActionResult CreateTenantProject(
Guid id,
[FromBodyAttribute] CreateProjectOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ObsoleteAttribute("Deprecated. Use CreateProject instead.")>
<ActionNameAttribute("Index")>
Public Function CreateTenantProject (
id As Guid,
<FromBodyAttribute> options As CreateProjectOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ObsoleteAttribute(L"Deprecated. Use CreateProject instead.")]
[ActionNameAttribute(L"Index")]
IActionResult^ CreateTenantProject(
Guid id,
[FromBodyAttribute] CreateProjectOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ObsoleteAttribute("Deprecated. Use CreateProject instead.")>]
[<ActionNameAttribute("Index")>]
member CreateTenantProject :
id : Guid *
[<FromBodyAttribute>] options : CreateProjectOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The tenant ID. - options
- Type: Dundas.BI.WebApi.ModelsCreateProjectOptions
An object containing the create project options. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
ProjectData object representing the newly-created project, or a status code indicating the reason for failure.
See Also